# Class MineMarkerIntervals

java.lang.Object
org.snpeff.stats.MineMarkerIntervals

public class MineMarkerIntervals extends Object
Mine marker intervals: I.e. perform some statistics based on a collection of intervals

Author:
  pcingola

## Constructor Summary

Constructors
Constructor
Description
`MineMarkerIntervals(Markers markers)`

## Method Summary

Modifier and Type
Method
Description
`IntStats`
`getDistanceStats()`
`IntStats`
`getLengthStats()`
`void`
`stats()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MineMarkerIntervals

public MineMarkerIntervals(Markers markers)

## Method Details

### getDistanceStats

public IntStats getDistanceStats()

### getLengthStats

public IntStats getLengthStats()

### stats

public void stats()